org.objectledge.web.mvc
Class MVCResultsValve

java.lang.Object
  extended by org.objectledge.web.mvc.MVCResultsValve
All Implemented Interfaces:
Valve

public class MVCResultsValve
extends Object
implements Valve

Pipeline component for putting the MVC view building results to the response.

The build results are only put into the response if no direct response has been triggered.

Version:
$Id: MVCResultsValve.java,v 1.9 2005/07/22 17:25:50 pablo Exp $
Author:
Damian Gajda

Constructor Summary
MVCResultsValve()
           
 
Method Summary
 void process(Context context)
          Run view building starting from a view builder chosen in request parameters.
 
Methods inherited from class java.lang.Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait
 

Constructor Detail

MVCResultsValve

public MVCResultsValve()
Method Detail

process

public void process(Context context)
             throws ProcessingException
Run view building starting from a view builder chosen in request parameters.

Specified by:
process in interface Valve
Parameters:
context - used application context
Throws:
ProcessingException - if the processing fails.


Copyright © 2003-2006 objectledge.org. All Rights Reserved.